import 'package:equatable/equatable.dart';

class WallLightSwitchEvent extends Equatable {
  @override
  List<Object?> get props => [];
}

class WallLightSwitchFetchDeviceEvent extends WallLightSwitchEvent {
  final String deviceId;

  WallLightSwitchFetchDeviceEvent(this.deviceId);

  @override
  List<Object> get props => [deviceId];
}

class WallLightSwitchControl extends WallLightSwitchEvent {
  final String deviceId;
  final String code;
  final bool value;

  WallLightSwitchControl(
      {required this.deviceId, required this.code, required this.value});

  @override
  List<Object> get props => [deviceId, code, value];
}

class WallLightSwitchFetchBatchEvent extends WallLightSwitchEvent {
  final List<String> devicesIds;

  WallLightSwitchFetchBatchEvent(this.devicesIds);

  @override
  List<Object> get props => [devicesIds];
}

class WallLightSwitchBatchControl extends WallLightSwitchEvent {
  final List<String> devicesIds;
  final String code;
  final bool value;

  WallLightSwitchBatchControl(
      {required this.devicesIds, required this.code, required this.value});

  @override
  List<Object> get props => [devicesIds, code, value];
}
