import 'package:equatable/equatable.dart';

class TwoGangSwitchEvent extends Equatable {
  @override
  List<Object?> get props => [];
}

class TwoGangSwitchFetchDeviceEvent extends TwoGangSwitchEvent {
  final String deviceId;

  TwoGangSwitchFetchDeviceEvent(this.deviceId);

  @override
  List<Object> get props => [deviceId];
}

class TwoGangSwitchControl extends TwoGangSwitchEvent {
  final String deviceId;
  final String code;
  final bool value;

  TwoGangSwitchControl(
      {required this.deviceId, required this.code, required this.value});

  @override
  List<Object> get props => [deviceId, code, value];
}

class TwoGangSwitchFetchBatchEvent extends TwoGangSwitchEvent {
  final List<String> devicesIds;

  TwoGangSwitchFetchBatchEvent(this.devicesIds);

  @override
  List<Object> get props => [devicesIds];
}

class TwoGangSwitchBatchControl extends TwoGangSwitchEvent {
  final List<String> deviceId;
  final String code;
  final bool value;

  TwoGangSwitchBatchControl(
      {required this.deviceId, required this.code, required this.value});

  @override
  List<Object> get props => [deviceId, code, value];
}
