part of 'water_heater_bloc.dart';

sealed class WaterHeaterEvent extends Equatable {
  const WaterHeaterEvent();

  @override
  List<Object?> get props => [];
}

final class ToggleWaterHeaterEvent extends WaterHeaterEvent {
  final dynamic value;
  final String deviceId;
  final String code;

  const ToggleWaterHeaterEvent(
      {required this.value, required this.deviceId, required this.code});

  @override
  List<Object?> get props => [value];
}

final class UpdateScheduleEvent extends WaterHeaterEvent {
  final ScheduleModes scheduleMode;
  final int hours;
  final int minutes;

  const UpdateScheduleEvent(
      {required this.scheduleMode, required this.hours, required this.minutes});

  @override
  List<Object?> get props => [scheduleMode, hours, minutes];
}

final class StopScheduleEvent extends WaterHeaterEvent {}

class WaterHeaterFetchStatusEvent extends WaterHeaterEvent {
  final String deviceId;

  const WaterHeaterFetchStatusEvent(this.deviceId);

  @override
  List<Object?> get props => [deviceId];
}

class WaterHeaterFetchBatchStatusEvent extends WaterHeaterEvent {
  final String deviceId;

  const WaterHeaterFetchBatchStatusEvent(this.deviceId);

  @override
  List<Object?> get props => [deviceId];
}

// class ShowScheduleViewEvent extends WaterHeaterEvent {
//   const ShowScheduleViewEvent();
// }
