part of 'water_heater_bloc.dart';

enum ScheduleType { countdown, schedule, circulate, inching }

sealed class WaterHeaterState extends Equatable {
  const WaterHeaterState();

  @override
  List<Object?> get props => [];
}

final class WaterHeaterInitial extends WaterHeaterState {}

final class WaterHeaterLoadingState extends WaterHeaterState {}

final class WaterHeaterDeviceStatusLoaded extends WaterHeaterState {
  final WaterHeaterStatusModel status;

  const WaterHeaterDeviceStatusLoaded(this.status);

  @override
  List<Object?> get props => [status];
}

final class WaterHeaterFailedState extends WaterHeaterState {
  final String error;

  const WaterHeaterFailedState({required this.error});

  @override
  List<Object?> get props => [error];
}

final class WaterHeaterBatchFailedState extends WaterHeaterState {
  final String error;

  const WaterHeaterBatchFailedState({required this.error});

  @override
  List<Object?> get props => [error];
}

class WaterHeaterScheduleViewState extends WaterHeaterState {
  final ScheduleModes scheduleMode;
  final int hours;
  final int minutes;
  final bool isActive;
  final Duration? countdownRemaining;

  const WaterHeaterScheduleViewState({
    required this.scheduleMode,
    required this.hours,
    required this.minutes,
    required this.isActive,
    this.countdownRemaining,
  });

  @override
  List<Object?> get props =>
      [scheduleMode, hours, minutes, isActive, countdownRemaining];
}
